import { h, Component } from 'preact';
import WBNavbar from 'wb-navbar';
import WBInlineSearch from 'wb-inline-search';

class WBNavbarCommon extends Component {
  render({ app, items, activeItem }) {
    return (
      <WBNavbar items={ [
        { 'name': 'Home', 'id': 'home' },
        { 'name': 'All Projects', 'id': 'all-projects' },
        { 'name': 'User', 'dropdown': [ { 'id': 'sign-out', 'name': 'Sign Out' } ]}
      ].concat(items) } rhs={ (
        <WBInlineSearch />
      ) } onItemClicked={ item => app.navbarItemClicked(item) }
      activeItem={ activeItem } />
    );
  }
}

WBNavbarCommon.defaultProps = {
  'items': []
};

export default WBNavbarCommon;
